import { post } from '@/api/http'
export default {
    // 查询问卷列表
    FindSurveys: function(data) {
        return post('/common/survey/find', data)
    },
	// 查询问卷列表基础信息
    FindSurveysSummary: function(data) {
        return post('/common/survey/find-id', data)
    },
	// 保存或者更新问卷
	UpsertSurvey: function(data) {
	    return post('/common/survey/upsert', data)
	},
	// 删除问卷
	DeleteSurvey: function(data) {
	    return post('/common/survey/delete', data)
	},
	// 撤销问卷
	CancelSurvey: function(data) {
	    return post('/common/survey/cancel', data)
	},
	// 查询问卷作答记录
	FindRecordSurvey: function(data) {
	    return post('/common/survey/record', data)
	},
	// 查询问卷作答记录
	UpsertRecord: function(data) {
	    return post('/common/survey/upsert-record', data)
	},
	// 查询问卷作答记录
	GetAnswerdRecord: function(data) {
	    return post('/common/survey/answered-list', data)
	},
}
